2012-03-16  Jeff Johnston  <jjohnstn@redhat.com>

	Resolves bug: #342896
	* natives/linux/scripts/install-consolehelper.sh: New file.
	* natives/linux/scripts/org.eclipse.linuxtools.oprofile.policy: New file.
	* natives/linux/scripts/uninstall-consolehelper.sh: New file.
	* natives/linux/scripts/install.sh: Rewrite for PolicyKit support.
	* natives/linux/scripts/uninstall.sh: Ditto.
	
2012-01-05  Otavio Pontes <obusatto@linux.vnet.ibm.com>
	* src/org/eclipse/linuxtools/oprofile/core/Oprofile.java,
	  src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java:
	  Adapting to new way of using LinuxtoolsPathProperty class

2011-12-21  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/EventIdCache.java
		(getUnitMaskType): If the Schema Version of the ophelp XML is
		greater than 1.0, then the unit mask type will exist as an
		attribute so we can extract it directly.

2011-12-16  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/Oprofile.java
		(static initializer): In some cases we may have no project to set
		but we may still need to have the oprofile module loaded. In these
		cases allow loading, if possible.

2011-12-04  Rafael Teixeira <rafaelmt@linux.vnet.ibm.com>

	* META-INF/MANIFEST.MF:  Add org.eclipse.linuxtools.tools.launch.core
		to required bundles.
	* op_error_key: Add error key opcontrolSudo
	* src/org/eclipse/linuxtools/oprofile/core/Oprofile.java: Add currentPath
		to allow profiling using the Linux Tools path that's set for the
		current project.
	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java:
		Use RuntimeProcessFactory to get Linux Tools path if it's set for
		the current project.
	* src/org/eclipse/linuxtools/oprofile/core/linux/OpxmlRunner.java:
		Use RuntimeProcessFactory to get Linux Tools path if it's set for
		the current project.
	* src/org/eclipse/linuxtools/oprofile/core/oprofile.properties:
		Add error message for executing Oprofile with a different Linux
		Tools path without putting opcontrol in the sudoers file.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/EventIdCache.java:
		Use RuntimeProcessFactory to get Linux Tools path if it's set for
		the current project.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/info/InfoAdapter.java:
		Use RuntimeProcessFactory to get Linux Tools path if it's set for
		the current project.

2011-09-28  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/info/InfoAdapter.java
		(checkTimerSupport): Set timer support to true even if the kernel
		module fails to load.
	* src/org/eclipse/linuxtools/oprofile/core/Oprofile.java
		(initializeOprofileModule): Let the Oprofile class load even if
		the kernel module fails to do so.

2011-09-27  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/linux/OpxmlRunner.java
		(handleModelData): Add -g flag for debug information.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/modeldata/ModelDataAdapter.java:
		Stop using addr2line to determine file/line information and use the
		data collected from opreport instead.

2011-09-26  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/modeldata/ModelDataAdapter.java:
		Provide file paths for each sample and the line number for each symbol.
	* src/org/eclipse/linuxtools/oprofile/core/model/OpModelSample.java:
	* src/org/eclipse/linuxtools/oprofile/core/opxml/modeldata/SamplesProcessor.java:
		Save the file path corresponding to each sample.
	* src/org/eclipse/linuxtools/oprofile/core/model/OpModelSymbol.java:
	* src/org/eclipse/linuxtools/oprofile/core/opxml/modeldata/SymbolsProcessor.java:
		Save the line number for each symbol.

2011-09-21  Roland Grunberg  <rgrunber@redhat.com>

	* build.properties: Remove non-existant schema folder.

2011-09-20  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/info/InfoAdapter.java:
	* src/org/eclipse/linuxtools/oprofile/core/opxml/info/EventListProcessor.java:
		Do not create an element for the event id.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/checkevent/CheckEventsProcessor.java:
		Remove the invalid event error.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/checkevent/CheckEventAdapter.java:
		Remove any methods related to the event id and instead use the
		event name to refer to an event.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/EventIdCache.java:
		Remove any methods related to the event id but instead add a
		method to map the event name to it's corresponding info node.
	* src/org/eclipse/linuxtools/oprofile/core/daemon/OpEvent.java:
		Remove event id related methods/fields.
	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpxmlProvider.java
	* src/org/eclipse/linuxtools/oprofile/core/Oprofile.java
	* src/org/eclipse/linuxtools/oprofile/core/IOpxmlProvider.java
		(checkEvents): Change event argument from int to String.

2011-09-02  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/modeldata/ModelDataAdapter.java:
		(createXML): Add support for displaying statistics of library calls.

2011-08-30  Roland Grunberg  <rgrunber@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/info/InfoAdapter.java:
		Implement timer-mode support.
		(InfoAdapter): Check for timer-mode before running ophelp.
		(createDOM): Minor change to support creating a DOM without ophelp XML.
		(process): Don't attempt to find events if we are in timer-mode.
		(checkTimerSupport): New Method - Actual check for timer support
		(hasTimerSupport): Cached check for timer support.
	* src/org/eclipse/linuxtools/oprofile/core/linux/OpxmlRunner.java
		(handleModelData): Determine what flags to give ophelp depending on whether
		we are in timer-mode.
		(getEventNames): Determine what elements to check in ophelp XML depending on
		whether we are in timer-mode.
		(run): Check for timer-mode support here.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/modeldata/ModelDataAdapter.java
		(createXML): We do not need to set any event count in timer-mode.

2011-08-29  Roland Grunberg  <rgrunber@redhat.com>

	* op_error_key: New file that maps some error key word to the corresponding key
		value of the externalized string representing that error.
	* src/org/eclipse/linuxtools/oprofile/core/OprofileCorePlugin.java
		(getPluginLocation): New method
	* src/org/eclipse/linuxtools/oprofile/core/linux/OpControlErrorHandler.java
		(handleError): New class to handle errors from running opcontrol
	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java
		(_runOpcontrol): Move error handling into OpcontrolErrorHandler.
	* src/org/eclipse/linuxtools/oprofile/core/oprofile.properties:
		Externalize "Events must be distinct" error.

2011-07-20  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/linux/OpxmlRunner.java (getEventNames): 
	(handleModelData): Fix for Eclipse bug 341621.
	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java (_runOpcontrol): Refactored due to above fix. 
	* src/org/eclipse/linuxtools/oprofile/core/oprofile.properties: Ditto.

2011-07-06  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java (_runOpcontrol): Provide hints
	in error log if opcontrol errors are detected.
	* src/org/eclipse/linuxtools/oprofile/core/OprofileCorePlugin.java (log): Added logging methods.
	

2011-06-01  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java (_runOpcontrol): Add print
	statements to show what's going on on stdout/stderr of the called process if debugging is turned on.
	This might be useful for tracing down weird bugs.

2011-05-31  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/linux/LinuxOpcontrolProvider.java (_runOpcontrol): Do better
	error reporting, when user faces the nmi_watchdog problem.
	* src/org/eclipse/linuxtools/oprofile/core/oprofile.properties: Ditto.

2011-05-16  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/linux/OpxmlRunner.java:
	Revert workaround fix for Eclipse BZ #343025.
	* src/org/eclipse/linuxtools/oprofile/core/opxml/OprofileSAXHandler.java: Applied actual fix
	for Eclipse BZ #343025.

2011-03-14  Severin Gehwolf  <sgehwolf@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/opxml/EventIdCache.java (buildCache):
	Temporary fix for Eclipse Bz #338270.

2011-02-11  Severin Gehwolf  <sgehwolf@redhat.com>

	* natives/linux/opxml: Remove opxml.
	* natives/linux/opxml/.svnignore: Removed.
	* natives/linux/opxml/imageheader.cc: Removed.
	* natives/linux/opxml/imageheader.h: Removed.
	* natives/linux/opxml/Makefile: Removed.
	* natives/linux/opxml/move_opxml.sh: Removed.
	* natives/linux/opxml/opinfo.cc: Removed.
	* natives/linux/opxml/opinfo.h: Removed.
	* natives/linux/opxml/oprofiledb.cc: Removed.
	* natives/linux/opxml/oprofiledb.h: Removed.
	* natives/linux/opxml/opxml.cc: Removed.
	* natives/linux/opxml/oxmlstream.h: Removed.
	* natives/linux/opxml/profileimage.cc: Removed.
	* natives/linux/opxml/profileimage.h: Removed.
	* natives/linux/opxml/README: Removed.
	* natives/linux/opxml/sample.cc: Removed.
	* natives/linux/opxml/sample.h: Removed.
	* natives/linux/opxml/samplefile.cc: Removed.
	* natives/linux/opxml/samplefile.h: Removed.
	* natives/linux/opxml/session.cc: Removed.
	* natives/linux/opxml/session.h: Removed.
	* natives/linux/opxml/sevent.cc: Removed.
	* natives/linux/opxml/sevent.h: Removed.
	* natives/linux/opxml/stable.cc: Removed.
	* natives/linux/opxml/stable.h: Removed.
	* natives/linux/opxml/symbol.cc: Removed.
	* natives/linux/opxml/symbol.h: Removed.
	* natives/linux/opxml/xmlbuf.cc: Removed.
	* natives/linux/opxml/xmlbuf.h: Removed.
	* natives/linux/opxml/xmlfmt.cc: Removed.
	* natives/linux/opxml/xmlfmt.h: Removed.
	* natives/linux/opxml/xmltag.cc: Removed.
	* natives/linux/opxml/xmltag.h: 

2011-02-10  Severin Gehwolf <sgehwolf@redhat.com>

	* META-INF/MANIFEST.MF: Add Eclipse-BundleShape: dir.

2010-07-27  Andrew Overholt  <overholt@redhat.com>

	* natives/linux/opxml/imageheader.cc: Update license to be EDL.
	* natives/linux/opxml/imageheader.h: Likewise.
	* natives/linux/opxml/opinfo.cc: Likewise.
	* natives/linux/opxml/opinfo.h: Likewise.
	* natives/linux/opxml/oprofiledb.cc: Likewise.
	* natives/linux/opxml/oprofiledb.h: Likewise.
	* natives/linux/opxml/opxml.cc: Likewise.
	* natives/linux/opxml/oxmlstream.h: Likewise.
	* natives/linux/opxml/profileimage.cc: Likewise.
	* natives/linux/opxml/profileimage.h: Likewise.
	* natives/linux/opxml/sample.cc: Likewise.
	* natives/linux/opxml/sample.h: Likewise.
	* natives/linux/opxml/samplefile.cc: Likewise.
	* natives/linux/opxml/samplefile.h: Likewise.
	* natives/linux/opxml/session.cc: Likewise.
	* natives/linux/opxml/session.h: Likewise.
	* natives/linux/opxml/sevent.cc: Likewise.
	* natives/linux/opxml/sevent.h: Likewise.
	* natives/linux/opxml/stable.cc: Likewise.
	* natives/linux/opxml/stable.h: Likewise.
	* natives/linux/opxml/symbol.cc: Likewise.
	* natives/linux/opxml/symbol.h: Likewise.
	* natives/linux/opxml/xmlbuf.cc: Likewise.
	* natives/linux/opxml/xmlbuf.h: Likewise.
	* natives/linux/opxml/xmlfmt.cc: Likewise.
	* natives/linux/opxml/xmlfmt.h: Likewise.
	* natives/linux/opxml/xmltag.cc: Likewise.
	* natives/linux/opxml/xmltag.h: Likewise.

2010-07-08  Andrew Overholt  <overholt@redhat.com>

	Bug #314737

	* build.properties: JAR core classes. 
	* META-INF/MANIFEST.MF: Likewise.  Add to bundle classpath.

2010-05-07  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/oprofile.properties: Fix typo
	with \find instead of \nfind. 

2010-05-05  Andrew Overholt  <overholt@redhat.com>

	* src/org/eclipse/linuxtools/oprofile/core/oprofile.properties: Clean up
	build/install instructions.

2009-12-07  Andrew Overholt  <overholt@redhat.com>

	Bug #297007

	* natives/linux/opxml/move_opxml.sh: Fix release number.

2009-10-29  Andrew Overholt  <overholt@redhat.com>

	Bug #292172

	* natives/linux/opxml/move_opxml.sh: Update release number. 
